Bug 990864 - Met "httpd.pid No such file or directory" when show stopped perl app state by "oo-admin-ctl-gears status"
Met "httpd.pid No such file or directory" when show stopped perl app state by...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 02:37 EDT by chunchen
Modified: 2016-09-29 22:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 18:58:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chunchen 2013-08-01 02:37:33 EDT
Description of problem:
When show stopped perl app state by "oo-admin-ctl-gears status", will meet  "No such file or directory" errors.

Version-Release number of selected component (if applicable):
devenv_stage_429

How reproducible:
always

Steps to Reproduce:
1. Create a perl app
rhc app create cpl00 perl-5.10 --no-git
2. Stop this app 
rhc app stop cpl00
3. SSH into a instance
4. Run "oo-admin-ctl-gears status"

Actual results:
Checking OpenShift Services: 

Checking application cpl01 (196532831916065745272832) status:
-----------------------------------------------
Cartridge: perl...
Perl is either stopped or inaccessible
/var/lib/openshift/196532831916065745272832/perl/bin/control: line 34: /var/lib/openshift/196532831916065745272832/perl//run/httpd.pid: No such file or directory
ERROR: List of process IDs must follow --pid.
********* simple selection *********  ********* selection by list *********
-A all processes                      -C by command name
-N negate selection                   -G by real group ID (supports names)
-a all w/ tty except session leaders  -U by real user ID (supports names)
-d all except session leaders         -g by session OR by effective group name
-e all processes                      -p by process ID
T  all processes on this terminal     -s processes in the sessions given
a  all w/ tty, including other users  -t by tty
g  OBSOLETE -- DO NOT USE             -u by effective user ID (supports names)
r  only running processes             U  processes for specified users
x  processes w/o controlling ttys     t  by tty
*********** output format **********  *********** long options ***********
-o,o user-defined  -f full            --Group --User --pid --cols --ppid
-j,j job control   s  signal          --group --user --sid --rows --info
-O,O preloaded -o  v  virtual memory  --cumulative --format --deselect
-l,l long          u  user-oriented   --sort --tty --forest --version
-F   extra full    X  registers       --heading --no-heading --context
                    ********* misc options *********
-V,V  show version      L  list format codes  f  ASCII art forest
-m,m,-L,-T,H  threads   S  children in sum    -y change -l format
-M,Z  security data     c  true command name  -c scheduling class
-w,w  wide output       n  numeric WCHAN,UID  -H process hierarchy


Expected results:
Should not get errors.

Additional info:
Comment 1 Paul Morie 2013-08-01 11:41:53 EDT
PR submitted to master.
Comment 2 openshift-github-bot 2013-08-01 13:23:47 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/7979c4f630c3f90f2b11a7f499c9e5b64596f898
Fix bug 990864: status check for stopped perl app
Comment 3 chunchen 2013-08-01 22:11:07 EDT
It's fixed, verified on devenv_3603, please refer to the following results:

[root@ip-10-154-142-113 ~]# oo-admin-ctl-gears status
Checking OpenShift Services: 

Checking application cpl00 (5fa61d4efb1811e2bf6d22000a9a8e71) status:
-----------------------------------------------
Cartridge: perl...
Perl is either stopped or inaccessible

[root@ip-10-154-142-113 ~]#

Note You need to log in before you can comment on or make changes to this bug.